%define oname   rack

Name:       ruby-%{oname}
Version:    1.4.5
Release:    %mkrel 1
Summary:    A modular Ruby webserver interface
Group:      Development/Ruby
License:    MIT
URL:        http://rack.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Rack provides minimal, modular and adaptable interface for developing
web applications in Ruby. By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.
Also see http://rack.rubyforge.org.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f test

%install
%gem_install

%files
%{_bindir}/rackup
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/KNOWN-ISSUES
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/test/


%changelog

* Tue Feb 12 2013 fwang <fwang> 1.4.5-1.mga3
+ Revision: 398090
- new version 1.4.5

* Fri Feb 08 2013 umeabot <umeabot> 1.4.1-4.mga3
+ Revision: 396303
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.1-3.mga3
+ Revision: 381287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.4.1-2.mga3
+ Revision: 312254
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 1.4.1-1.mga3
+ Revision: 256756
- New version
- Spec cleanup

* Tue Jun 21 2011 dams <dams> 1.1.2-1.mga2
+ Revision: 111225
- update to 1.1.2

* Wed Jan 26 2011 shikamaru <shikamaru> 1.1.0-5.mga1
+ Revision: 39685
- rebuild for new rubygems.rb

* Fri Jan 21 2011 shikamaru <shikamaru> 1.1.0-4.mga1
+ Revision: 30158
- imported package ruby-rack


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 1.1.0-4mdv2011.0
- Apply new ruby policy
- Kill definition of buildroot
- Fix Source

* Tue Dec 14 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.0-3mdv2011.0
+ Revision: 621823
- rebuild for new rpm-mandriva-setup

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2011.0
+ Revision: 614765
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 531331
- update to new version 1.1.0

* Mon Feb 01 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 499177
- fix summary
- import ruby-rack


* Mon Feb  1 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.1-1
- initial release
